hilfe mein git ist komisch

This commit is contained in:
cutemeli
2026-01-08 18:34:49 +01:00
parent 710537a25d
commit b2d2dce845
4644 changed files with 94994 additions and 1763 deletions

View File

@@ -0,0 +1,2 @@
# Make sure the locale variables are set to valid values.
eval $(/usr/bin/locale-check C.UTF-8)

View File

@@ -0,0 +1,41 @@
# Z97-byobu.sh - allow any user to opt into auto-launching byobu
# Copyright (C) 2011 Canonical Ltd.
#
# Authors: Dustin Kirkland <kirkland@byobu.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
# Allow any user to opt into auto-launching byobu by setting LC_BYOBU=1
# Apologies for borrowing the LC_BYOBU namespace, but:
# a) it's reasonable to assume that no one else is using LC_BYOBU
# b) LC_* is sent and receieved by most /etc/ssh/ssh*_config
if [ -r "/usr/bin/byobu-launch" ]; then
if [ "$LC_BYOBU" = "0" ]; then
true
elif [ "$LC_BYOBU" = "1" ]; then
. /usr/bin/byobu-launch
elif [ -e "/etc/byobu/autolaunch" ]; then
. /usr/bin/byobu-launch
elif [ "$LC_TERMTYPE" = "byobu" ]; then
. /usr/bin/byobu-launch
elif [ "$LC_TERMTYPE" = "byobu-screen" ]; then
export BYOBU_BACKEND="screen"
. /usr/bin/byobu-launch
elif [ "$LC_TERMTYPE" = "byobu-tmux" ]; then
export BYOBU_BACKEND="tmux"
. /usr/bin/byobu-launch
fi
fi
# vi: syntax=sh ts=4 noexpandtab

View File

@@ -0,0 +1,102 @@
#!/bin/sh
# Copyright (C) 2012, Canonical Group, Ltd.
#
# Author: Ben Howard <ben.howard@canonical.com>
# Author: Scott Moser <scott.moser@ubuntu.com>
# (c) 2012, Canonical Group, Ltd.
#
# This file is part of cloud-init. See LICENSE file for license information.
# Purpose: Detect invalid locale settings and inform the user
# of how to fix them.
locale_warn() {
command -v local >/dev/null && local _local="local" ||
typeset _local="typeset"
$_local bad_names="" bad_lcs="" key="" val="" var="" vars="" bad_kv=""
$_local w1 w2 w3 w4 remain
# if shell is zsh, act like sh only for this function (-L).
# The behavior change will not permanently affect user's shell.
[ "${ZSH_NAME+zsh}" = "zsh" ] && emulate -L sh
# locale is expected to output either:
# VARIABLE=
# VARIABLE="value"
# locale: Cannot set LC_SOMETHING to default locale
while read -r w1 w2 w3 w4 remain; do
case "$w1" in
locale:) bad_names="${bad_names} ${w4}";;
*)
key=${w1%%=*}
val=${w1#*=}
val=${val#\"}
val=${val%\"}
vars="${vars} $key=$val";;
esac
done
for bad in $bad_names; do
for var in ${vars}; do
[ "${bad}" = "${var%=*}" ] || continue
val=${var#*=}
[ "${bad_lcs#* ${val}}" = "${bad_lcs}" ] &&
bad_lcs="${bad_lcs} ${val}"
bad_kv="${bad_kv} $bad=$val"
break
done
done
bad_lcs=${bad_lcs# }
bad_kv=${bad_kv# }
[ -n "$bad_lcs" ] || return 0
printf "_____________________________________________________________________\n"
printf "WARNING! Your environment specifies an invalid locale.\n"
printf " The unknown environment variables are:\n %s\n" "$bad_kv"
printf " This can affect your user experience significantly, including the\n"
printf " ability to manage packages. You may install the locales by running:\n\n"
$_local bad invalid="" to_gen="" sfile="/usr/share/i18n/SUPPORTED"
$_local local pkgs=""
if [ -e "$sfile" ]; then
for bad in ${bad_lcs}; do
grep -q -i "${bad}" "$sfile" &&
to_gen="${to_gen} ${bad}" ||
invalid="${invalid} ${bad}"
done
else
printf " sudo apt-get install locales\n"
to_gen=$bad_lcs
fi
to_gen=${to_gen# }
$_local pkgs=""
for bad in ${to_gen}; do
pkgs="${pkgs} language-pack-${bad%%_*}"
done
pkgs=${pkgs# }
if [ -n "${pkgs}" ]; then
printf " sudo apt-get install ${pkgs# }\n"
printf " or\n"
printf " sudo locale-gen ${to_gen# }\n"
printf "\n"
fi
for bad in ${invalid}; do
printf "WARNING: '${bad}' is an invalid locale\n"
done
printf "To see all available language packs, run:\n"
printf " apt-cache search \"^language-pack-[a-z][a-z]$\"\n"
printf "To disable this message for all users, run:\n"
printf " sudo touch /var/lib/cloud/instance/locale-check.skip\n"
printf "_____________________________________________________________________\n\n"
# only show the message once
: > ~/.cloud-locale-test.skip 2>/dev/null || :
}
[ -f ~/.cloud-locale-test.skip -o -f /var/lib/cloud/instance/locale-check.skip ] ||
locale 2>&1 | locale_warn
unset locale_warn

View File

@@ -0,0 +1,30 @@
#!/bin/sh
# This file is part of cloud-init. See LICENSE file for license information.
# Purpose: show user warnings on login.
cloud_init_warnings() {
command -v local >/dev/null && local _local="local" ||
typeset _local="typeset"
$_local warning="" idir="/var/lib/cloud/instance" n=0
$_local warndir="$idir/warnings"
$_local ufile="$HOME/.cloud-warnings.skip" sfile="$warndir/.skip"
[ -d "$warndir" ] || return 0
[ ! -f "$ufile" ] || return 0
[ ! -f "$sfile" ] || return 0
for warning in "$warndir"/*; do
[ -f "$warning" ] || continue
cat "$warning"
n=$((n+1))
done
[ $n -eq 0 ] && return 0
echo ""
echo "Disable the warnings above by:"
echo " touch $ufile"
echo "or"
echo " touch $sfile"
}
cloud_init_warnings 1>&2
unset cloud_init_warnings

View File

@@ -0,0 +1,22 @@
# shellcheck shell=sh
# Expand $PATH to include the directory where snappy applications go.
snap_bin_path="/snap/bin"
if [ -n "${PATH##*${snap_bin_path}}" ] && [ -n "${PATH##*${snap_bin_path}:*}" ]; then
export PATH="$PATH:${snap_bin_path}"
fi
# Ensure base distro defaults xdg path are set if nothing filed up some
# defaults yet.
if [ -z "$XDG_DATA_DIRS" ]; then
export XDG_DATA_DIRS="/usr/local/share:/usr/share"
fi
# Desktop files (used by desktop environments within both X11 and Wayland) are
# looked for in XDG_DATA_DIRS; make sure it includes the relevant directory for
# snappy applications' desktop files.
snap_xdg_path="/var/lib/snapd/desktop"
if [ -n "${XDG_DATA_DIRS##*${snap_xdg_path}}" ] && [ -n "${XDG_DATA_DIRS##*${snap_xdg_path}:*}" ]; then
export XDG_DATA_DIRS="${XDG_DATA_DIRS}:${snap_xdg_path}"
fi

View File

@@ -0,0 +1,16 @@
# shellcheck shell=sh disable=SC1091,SC2039,SC2166
# Check for interactive bash and that we haven't already been sourced.
if [ "x${BASH_VERSION-}" != x -a "x${PS1-}" != x -a "x${BASH_COMPLETION_VERSINFO-}" = x ]; then
# Check for recent enough version of bash.
if [ "${BASH_VERSINFO[0]}" -gt 4 ] ||
[ "${BASH_VERSINFO[0]}" -eq 4 -a "${BASH_VERSINFO[1]}" -ge 2 ]; then
[ -r "${XDG_CONFIG_HOME:-$HOME/.config}/bash_completion" ] &&
. "${XDG_CONFIG_HOME:-$HOME/.config}/bash_completion"
if shopt -q progcomp && [ -r /usr/share/bash-completion/bash_completion ]; then
# Source completion code.
. /usr/share/bash-completion/bash_completion
fi
fi
fi

11
etc/profile.d/gawk.csh Normal file
View File

@@ -0,0 +1,11 @@
alias gawkpath_default 'unsetenv AWKPATH; setenv AWKPATH `gawk -v x=AWKPATH "BEGIN {print ENVIRON[x]}"`'
alias gawkpath_prepend 'if (! $?AWKPATH) setenv AWKPATH ""; if ($AWKPATH == "") then; unsetenv AWKPATH; setenv AWKPATH `gawk -v x=AWKPATH "BEGIN {print ENVIRON[x]}"`; endif; setenv AWKPATH "\!*"":$AWKPATH"'
alias gawkpath_append 'if (! $?AWKPATH) setenv AWKPATH ""; if ($AWKPATH == "") then; unsetenv AWKPATH; setenv AWKPATH `gawk -v x=AWKPATH "BEGIN {print ENVIRON[x]}"`; endif; setenv AWKPATH "$AWKPATH"":\!*"'
alias gawklibpath_default 'unsetenv AWKLIBPATH; setenv AWKLIBPATH `gawk -v x=AWKLIBPATH "BEGIN {print ENVIRON[x]}"`'
alias gawklibpath_prepend 'if (! $?AWKLIBPATH) setenv AWKLIBPATH ""; if ($AWKLIBPATH == "") then; unsetenv AWKLIBPATH; setenv AWKLIBPATH `gawk -v x=AWKLIBPATH "BEGIN {print ENVIRON[x]}"`; endif; setenv AWKLIBPATH "\!*"":$AWKLIBPATH"'
alias gawklibpath_append 'if (! $?AWKLIBPATH) setenv AWKLIBPATH ""; if ($AWKLIBPATH == "") then; unsetenv AWKLIBPATH; setenv AWKLIBPATH `gawk -v x=AWKLIBPATH "BEGIN {print ENVIRON[x]}"`; endif; setenv AWKLIBPATH "$AWKLIBPATH"":\!*"'

31
etc/profile.d/gawk.sh Normal file
View File

@@ -0,0 +1,31 @@
gawkpath_default () {
unset AWKPATH
export AWKPATH=`gawk 'BEGIN {print ENVIRON["AWKPATH"]}'`
}
gawkpath_prepend () {
[ -z "$AWKPATH" ] && AWKPATH=`gawk 'BEGIN {print ENVIRON["AWKPATH"]}'`
export AWKPATH="$*:$AWKPATH"
}
gawkpath_append () {
[ -z "$AWKPATH" ] && AWKPATH=`gawk 'BEGIN {print ENVIRON["AWKPATH"]}'`
export AWKPATH="$AWKPATH:$*"
}
gawklibpath_default () {
unset AWKLIBPATH
export AWKLIBPATH=`gawk 'BEGIN {print ENVIRON["AWKLIBPATH"]}'`
}
gawklibpath_prepend () {
[ -z "$AWKLIBPATH" ] && \
AWKLIBPATH=`gawk 'BEGIN {print ENVIRON["AWKLIBPATH"]}'`
export AWKLIBPATH="$*:$AWKLIBPATH"
}
gawklibpath_append () {
[ -z "$AWKLIBPATH" ] && \
AWKLIBPATH=`gawk 'BEGIN {print ENVIRON["AWKLIBPATH"]}'`
export AWKLIBPATH="$AWKLIBPATH:$*"
}

11
etc/profile.d/nodenv.sh Executable file
View File

@@ -0,0 +1,11 @@
#!/bin/sh
# Prepare .nodenv enviroment and inject shims into PATH for psacln members
if id -Gn | grep -q '\bpsacln\b'; then
if [ ! -e ~/.nodenv ] ; then
mkdir -p ~/.nodenv
ln -snfT "/opt/plesk/node" ~/.nodenv/versions
fi
eval "$(nodenv init -)"
fi

23
etc/profile.d/phpenv.sh Normal file
View File

@@ -0,0 +1,23 @@
### Copyright 1999-2025. WebPros International GmbH. All rights reserved.
# Enables phpenv and its shims for all Plesk subscription users
# Disable phpenv if either of the following is true:
# * user is not a Plesk subscription user
# * user is running under CageFS, chrooted shell, or similar
# * phpenv is not executable
# * ~/.nophpenv exists and is a regular file
# * 'php.phpenv' is disabled in panel.ini (contains '[php]phpenv = off' or equivalent)
if id -Gn | grep -q '\<psacln\>' &&
[ -e /dev/fd -a -x /opt/plesk/phpenv/bin/phpenv -a ! -f ~/.nophpenv ] &&
! sed -ne '/^\s*\[php\]\s*$/,/^\s*\[/ s/^phpenv\s*=\s*\(.*\)\s*$/\1/g p' /usr/local/psa/admin/conf/panel.ini 2>/dev/null |
tail -n1 | grep -Eiq 'off|false|no|0'
then
if [ ! -e ~/.phpenv ]; then
mkdir -p ~/.phpenv
ln -snfT /opt/plesk/php ~/.phpenv/versions
fi
export PATH="/opt/plesk/phpenv/bin:$PATH"
eval "$(phpenv init -)"
fi

6
etc/profile.d/rbenv.sh Executable file
View File

@@ -0,0 +1,6 @@
#!/bin/sh
# Init rbenv for psacln members
if id -Gn | grep -q '\bpsacln\b'; then
eval "$(rbenv init -)"
fi

114
etc/profile.d/vte-2.91.sh Normal file
View File

@@ -0,0 +1,114 @@
# Copyright © 2012 Christian Persch
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
# Not bash or zsh?
[ -n "${BASH_VERSION:-}" -o -n "${ZSH_VERSION:-}" ] || return 0
# Not an interactive shell?
[[ $- == *i* ]] || return 0
# Not running under vte?
[ "${VTE_VERSION:-0}" -ge 3405 ] || return 0
# TERM not supported?
case "$TERM" in
xterm*|vte*|gnome*) :;;
*) return 0 ;;
esac
__vte_osc7 () {
printf "\033]7;file://%s%s\033\\" "${HOSTNAME}" "$(/usr/libexec/vte-urlencode-cwd)"
}
__vte_prompt_command() {
local pwd='~'
[ "$PWD" != "$HOME" ] && pwd=${PWD/#$HOME\//\~\/}
pwd="${pwd//[[:cntrl:]]}"
printf "\033]0;%s@%s:%s\033\\" "${USER}" "${HOSTNAME%%.*}" "${pwd}"
__vte_osc7
}
if [[ -n "${BASH_VERSION:-}" ]]; then
# Newer bash versions support PROMPT_COMMAND as an array. In this case
# only add the __vte_osc7 function to it, and leave setting the terminal
# title to the outside setup.
# On older bash, we can only overwrite the whole PROMPT_COMMAND, so must
# use the __vte_prompt_command function which also sets the title.
if [[ "$(declare -p PROMPT_COMMAND 2>&1)" =~ "declare -a" ]]; then
PROMPT_COMMAND+=(__vte_osc7)
else
PROMPT_COMMAND="__vte_prompt_command"
fi
# Shell integration
if [[ "$PS1" != *\]133\;* ]]; then
# Enclose the primary prompt between
# ← OSC 133;D;retval ST (report exit status of previous command)
# ← OSC 133;A ST (mark beginning of prompt)
# → OSC 133;B ST (mark end of prompt, beginning of command line)
PS1='\[\e]133;D;$?\e\\\e]133;A\e\\\]'"$PS1"'\[\e]133;B\e\\\]'
# Prepend OSC 133;L ST for a conditional newline if the previous
# command's output didn't end in one.
# This is not done here by default, in order to provide the default
# visual behavior of shells. Uncomment if you want this feature.
#PS1='\[\e]133;L\e\\\]'"$PS1"
# iTerm2 doesn't touch the secondary prompt.
# Konsole encloses it between 133;A and 133;B.
# For efficient jumping between commands, we follow iTerm2 by default
# and don't mark PS2 as prompt. Uncomment if you want to mark it.
#PS2='\[\e]133;A\e\\\]'"$PS2"'\[\e]133;B\e\\\]'
# Mark the beginning of the command's output by OSC 133;C ST.
# '\r' ensures that the kernel's cooked mode has the right idea of
# the column, important for handling TAB followed by BS keypresses.
# Prepend to the user's PS0 to preserve whether it ends in '\r'.
# Note that bash doesn't support the \[ \] markers here.
PS0='\e]133;C\e\\\r'"${PS0:-}"
fi
elif [[ -n "${ZSH_VERSION:-}" ]]; then
precmd_functions+=(__vte_osc7)
# Shell integration (see the bash counterpart for more detailed comments)
if [[ "$PS1" != *\]133\;* ]]; then
# Enclose the primary prompt between D;retval, A and B.
PS1=$'%{\e]133;D;%?\e\\\e]133;A\e\\%}'"$PS1"$'%{\e]133;B\e\\%}'
# Prepend L for conditional newline (skipped).
#PS1=$'%{\e]133;L\e\\%}'"$PS1"
# Secondary prompt (skipped).
#PS2=$'%{\e]133;A\e\\%}'"$PS2"$'%{\e]133;B\e\\%}'
# Mark the beginning of output by C.
# The execution order is: the single function possibly hooked up
# in $preexec, followed by all the functions hooked up in the
# $preexec_functions array. Ensure that we are the very first.
__vte_preexec() {
printf '\e]133;C\e\\\r'
}
preexec_functions=(__vte_preexec $preexec $preexec_functions)
unset preexec
fi
fi
return 0

24
etc/profile.d/vte.csh Normal file
View File

@@ -0,0 +1,24 @@
# Copyright © 2019 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
# Red Hat Author(s): Carlos Santos
# exit if non-interactive, csh, no terminal or old VTE versions
if ( ! $?prompt | ! $?tcsh | ! $?TERM | ! $?VTE_VERSION ) exit
switch($TERM)
case xterm*:
alias precmd 'echo -n "\e]7;file://$HOST"; /usr/libexec/vte-urlencode-cwd; echo -n "\e\\"'
endsw